package com.yh.saas.plugin.yiliangyiyun.service;

import com.yh.saas.plugin.yiliangyiyun.entity.PriceConfirmationSheet;
import com.baomidou.mybatisplus.service.IService;

import java.util.List;

/**
 * <p>
 * 点价确认单 服务类
 * </p>
 *
 * @author Gongdc
 * @since 2021-08-02
 */
public interface IPriceConfirmationSheetService extends IService<PriceConfirmationSheet> {
    /**
     *查看确认单
     */
    List<PriceConfirmationSheet> selectConfirmationSheet(String contractNo);

    /**
     * 添加点价确认单
     * @param priceConfirmationSheet
     */
    String addPriceConfirmationSheet(PriceConfirmationSheet priceConfirmationSheet);

    /**
     * 编辑点价确认单
     * @param priceConfirmationSheet
     */
    String editPriceConfirmationSheet(PriceConfirmationSheet priceConfirmationSheet);

    /**
     * 删除点价确认单
     * @param id
     */
    void deletePriceConfirmationSheet(String id);
    /**
     * 查看
     *
     * @param
     */
    PriceConfirmationSheet getInfo(String id);
}
